FROM php:8.0-cli-alpine

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer \
    && composer global require "yiisoft/yii2-coding-standards" \
    && ln -s /root/.composer/vendor/squizlabs/php_codesniffer/bin/phpcs /usr/bin/phpcs \
    && phpcs --config-set installed_paths /root/.composer/vendor/yiisoft/yii2-coding-standards \
    && phpcs --config-set default_standard Yii2

CMD ["phpcs"]
